#include<stdio.h>
main(){
	int a,b,x,y;
	scanf("%d%d",&a,&b);
	scanf("%d%d",&x,&y);
	if(a>x && b==y){
		printf("prvi");
	}
	else if(a==x && b>y){
		printf("drugi");
	}
	else if(a==x && b==y){
		printf("nijedan");
	}
	else{
		printf("?");
	}
}